Bug 151922 - error in License Agreement module.
Summary: error in License Agreement module.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-23 16:30 UTC by Rik van Riel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 01:11:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rik van Riel 2005-03-23 16:30:56 UTC
Description of problem:

after installing rawhide (march 23) firstboot's first screen is a python
traceback and instructions to file a bug

Version-Release number of selected component (if applicable):

firstboot-1.3.39-3

Steps to Reproduce:
1. install rawhide
2. sit back and relax
3. profit!

Here's the traceback:

Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 502, in loadModules
    vbox, pix, title = module.launch()
  File "/usr/share/firstboot/modules/eula.py", line 47, in launch
    lang = os.environ["LANG"]
  File "/usr/lib/python2.4/UserDict.py", line 17, in __getitem__
    def __getitem__(self, key): return self.data[key]
KeyError: 'LANG'

Comment 1 Jeremy Katz 2005-04-28 01:11:11 UTC
Fixed now


Note You need to log in before you can comment on or make changes to this bug.